PROGRAM SAMPLE


#include "TKHEADERS.h"
#include "TK_3GSMAPH5.h"
#include "tkiofortdeclare.h"


RECORD /TKINFO/ granuleHandle3GSMAPH

RECORD /L3GSMAPH5_GRID/ L3GSMAPH

	INTEGER status
!	INTEGER iscan, iangle, irange
	INTEGER nlat, nlon 
	CHARACTER*255 jobname, file

    REAL*4 hourlyPrecipRateGC(1800,3600)
    REAL*4 lat, lon

	call getarg( 1, jobname )
	call getarg( 2, file )

! 	Open the file for reading.
	status = TKopen( file, '3GSMAPH5', TKREAD, 'HDF5', jobname, granuleHandle3GSMAPH, 0 )
	IF ( status .NE. TK_SUCCESS ) THEN 
		status = TKmessage( granuleHandle3GSMAPH.jobname, TKERROR,'message to print' )
	ENDIF

!   Grid data read
	status = TKreadGrid( granuleHandle3GSMAPH, L3GSMAPH )

    do nlat=1, 1800 
        do nlon=1, 3600 
            ! hourlyPrecipRateGC Read
            hourlyPrecipRateGC(nlat, nlon) = L3GSMAPH.hourlyPrecipRateGC(nlat,nlon)

            ! print the value
            IF(nlat .eq. 946 .and. nlon .eq. 1251 ) THEN
                lat = (180.0/1800.0) * (nlat-1) - 90.0 + (180.0/1800.0/2)
                lon = (360.0/3600.0) * (nlon-1) - 180.0 + (360.0/3600.0/2)
                write(*,*) "lat=",lat,"lon=",lon
                write(*,*) "hourlyPrecipRateGC(946,1251)=",hourlyPrecipRateGC(nlat, nlon), "(mm/hr)" 
            ENDIF
        enddo
    enddo

    HDF file close
	status = TKclose( granuleHandle3GSMAPH )
	STOP
END
	
