PROGRAM SAMPLE

        use hdf5   ! This module contains all necessary modules

        CHARACTER(LEN=80), PARAMETER :: filename =&
            "../../../data_07A/GPMMRG_MAP_2112010000_H_L3S_MCH_05A.h5"
        CHARACTER(LEN=24), PARAMETER :: dsetname = "/Grid/hourlyPrecipRateGC"

        INTEGER(HID_T) :: file_id       ! File identifier
        INTEGER(HID_T) :: dset_id       ! Dataset identifier
        REAL*4, DIMENSION(1800,3600) :: hourlyPrecipRateGC ! Data buffers
        REAL*4 lat, lon
        INTEGER(HSIZE_T), DIMENSION(2) :: data_dims
	    INTEGER error 

        ! Initialize FORTRAN interface.
        CALL h5open_f(error)

        ! Open an existing file.
        CALL h5fopen_f (filename, H5F_ACC_RDWR_F, file_id, error)

        ! Open an existing dataset.
        CALL h5dopen_f(file_id, dsetname, dset_id, error)

        ! Read hourlyPrecipRateGC.
        data_dims(1) = 1800 
        data_dims(2) = 3600 
        CALL h5dread_f(dset_id, H5T_NATIVE_REAL, hourlyPrecipRateGC, data_dims, error)

        ! print the value
        write(*,*) "filename=",filename,""
        write(*,*) "dataset name=",dsetname,""
        lat = (180.0/1800.0) * (946-1) - 90.0 + (180.0/1800.0/2)
        lon = (360.0/3600.0) * (1251-1) - 180.0 + (360.0/3600.0/2)
        write(*,*) "lat=",lat,"lon=",lon
        write(*,*) "hourlyPrecipRateGC(946,1251)=",hourlyPrecipRateGC(946,1251), "(mm/hr)" 

        ! Close the dataset.
        CALL h5dclose_f(dset_id, error)

        ! Close the file.
        CALL h5fclose_f(file_id, error)

        ! Close FORTRAN interface.
        CALL h5close_f(error)

	STOP
END
	
