PROGRAM SAMPLE

        use hdf5   ! This module contains all necessary modules

        ! CHARACTER(LEN=70), PARAMETER :: filename = "../../../data_05A/GPMCOR_DPR_1802200006_0139_022610_L2S_DD2_05A.h5"
        CHARACTER(LEN=70), PARAMETER :: filename = "../../../data_07A/GPMCOR_DPR_2112070007_0140_044170_L2S_DD2_07A.h5"
        CHARACTER(LEN=26), PARAMETER :: dsetname = "/FS/SLV/precipRateESurface"

        INTEGER(HID_T) :: file_id       ! File identifier
        INTEGER(HID_T) :: dset_id       ! Dataset identifier
        REAL*4, DIMENSION(49,7934) :: precipRateESurface ! Data buffers
        INTEGER(HSIZE_T), DIMENSION(2) :: data_dims
	    INTEGER error 


        ! Initialize FORTRAN interface.
        CALL h5open_f(error)

        ! Open an existing file.
        CALL h5fopen_f (filename, H5F_ACC_RDWR_F, file_id, error)

        ! Open an existing dataset.
        CALL h5dopen_f(file_id, dsetname, dset_id, error)

        ! Read precipRateESurface.
        data_dims(1) = 49 
        data_dims(2) = 7934
        CALL h5dread_f(dset_id, H5T_NATIVE_REAL, precipRateESurface, data_dims, error)

        ! print the value
        write(*,*) "filename=",filename,""
        write(*,*) "dataset name=",dsetname,""
        write(*,*) "precipRateESurface(44,1492)=",precipRateESurface(44,1492), "(mm/hr)" 

        ! Close the dataset.
        CALL h5dclose_f(dset_id, error)

        ! Close the file.
        CALL h5fclose_f(file_id, error)

        ! Close FORTRAN interface.
        CALL h5close_f(error)

	    STOP
END
	
