PROGRAM SAMPLE

#include "TKHEADERS.h"
#include "TK_1BPR.h"
#include "tkiofortdeclare.h"

RECORD /TKINFO/ granuleHandle1BPR
RECORD /L1BPR_FS/ L1BPR

	PARAMETER( NANGLE=49, NRANGE=260 )

	INTEGER status, numOfScan
	INTEGER iscan, iangle, irange
	CHARACTER*255 jobname, file

    REAL*8 lat(NANGLE), lon(NANGLE)
	INTEGER*2 noisePower(NANGLE), echoPower(NRANGE,NANGLE)

	INTEGER*2 year, msec, dayOfYear
	BYTE month, dayOfMon, hour, min, sec
	REAL*8 secOfDay

	call getarg( 1, jobname )
	call getarg( 2, file )

    ! Open the file for reading.
	status = TKopen( file, '1BPR', TKREAD, 'HDF5', jobname, granuleHandle1BPR, 1 )
	IF ( status .NE. TK_SUCCESS ) THEN 
		status = TKmessage( granuleHandle1BPR.jobname, TKERROR,'message to print' )
	ENDIF

	status = TKgetMetaInt( granuleHandle1BPR, 'SwathHeader', 'NumberScansGranule', numOfScan )

	do iscan=1,numOfScan
		status = TKreadScan( granuleHandle1BPR, L1BPR )

		! ScanTime Read
		year      = L1BPR.ScanTime.Year
		month     = L1BPR.ScanTime.Month
		dayOfMon  = L1BPR.ScanTime.DayOfMonth
		hour      = L1BPR.ScanTime.Hour
		min       = L1BPR.ScanTime.Minute
		sec       = L1BPR.ScanTime.Second
		msec      = L1BPR.ScanTime.MilliSecond
		dayOfYear = L1BPR.ScanTime.DayOfYear
		secOfDay  = L1BPR.ScanTime.SecondOfDay

		do iangle=1,NANGLE
            ! Latitude and Longitude Read
            lat(iangle)  = L1BPR.Latitude(iangle)
            lon(iangle)  = L1BPR.Longitude(iangle)

            ! noisePower Read
            noisePower(iangle) = L1BPR.Receiver.noisePower(iangle)                                

            ! echoPower Read
			do irange=1,NRANGE
                echoPower(irange, iangle) = L1BPR.Receiver.echoPower(irange, iangle)
            enddo

            ! print the value
            IF(iscan .eq. 947 .and. iangle .eq. 20 ) THEN
                write(*,*) "scan=",iscan-1,",angle=",iangle-1
                write(*,*) "lat=", lat(iangle), "lon=", lon(iangle)
                write(*,*) "echoPower(260)=",echoPower(260,iangle) 
                write(*,*) "noisePower=",noisePower(iangle) 
            ENDIF
        enddo
    enddo

    ! Close HDF5 file.
	status = TKclose( granuleHandle1BPR )
	STOP
END
	
