PROGRAM SAMPLE

#include "TKHEADERS.h"
#include "TK_2BCMB.h"
#include "tkiofortdeclare.h"

RECORD /TKINFO/ granuleHandle2BCMB
RECORD /L2BCMB_SWATHS/ L2BCMB

	PARAMETER( NANGLE=49, NRANGE=176 )

	INTEGER status, numOfScan
	INTEGER iscan, iangle, irange
	CHARACTER*255 jobname, file

        REAL*8 lat(NANGLE), lon(NANGLE)
        REAL*4 surfPrecipTotRate(NANGLE)

	INTEGER*2 year, msec, dayOfYear
	BYTE month, dayOfMon, hour, min, sec
	REAL*8 secOfDay


	call getarg( 1, jobname )
	call getarg( 2, file )

! 	Open the file for reading.
	status = TKopen( file, '2BCMB', TKREAD, 'HDF5', jobname, granuleHandle2BCMB, 0 )
	IF ( status .NE. TK_SUCCESS ) THEN 
		status = TKmessage( granuleHandle2BCMB.jobname, TKERROR,'message to print' )
	ENDIF

	status = TKgetMetaInt( granuleHandle2BCMB, 'NS_SwathHeader', 'NumberScansGranule', numOfScan )

	do iscan=1,numOfScan
		status = TKreadScan( granuleHandle2BCMB, L2BCMB )

		! ScanTime Read
		year      = L2BCMB.NS.ScanTime.Year
		month     = L2BCMB.NS.ScanTime.Month
		dayOfMon  = L2BCMB.NS.ScanTime.DayOfMonth
		hour      = L2BCMB.NS.ScanTime.Hour
		min       = L2BCMB.NS.ScanTime.Minute
		sec       = L2BCMB.NS.ScanTime.Second
		msec      = L2BCMB.NS.ScanTime.MilliSecond
		dayOfYear = L2BCMB.NS.ScanTime.DayOfYear
		secOfDay  = L2BCMB.NS.ScanTime.SecondOfDay

		do iangle=1,NANGLE

                        ! Latitude and Longitude Read
                        lat(iangle)  = L2BCMB.NS.Latitude(iangle)
                        lon(iangle)  = L2BCMB.NS.Longitude(iangle)

                        ! surfPrecipTotRate read
                        surfPrecipTotRate(iangle) = L2BCMB.NS.surfPrecipTotRate(iangle)

                        ! print the value
                        IF(iscan .eq. 2396 .and. iangle .eq. 8 ) THEN
                             write(*,*) "scan=",iscan-1,",angle=",iangle-1
                             write(*,*) "lat=", lat(iangle), "lon=", lon(iangle)
                             write(*,*) "surfPrecipTotRate=",surfPrecipTotRate(iangle), "(mm/h)" 
                        ENDIF
                enddo
         enddo

	status = TKclose( granuleHandle2BCMB )
	STOP
END
	
