PROGRAM SAMPLE


#include "TKHEADERS.h"
#include "TK_2HSLHT.h"
#include "tkiofortdeclare.h"

RECORD /TKINFO/ granuleHandleL2HSLHT
RECORD /L2HSLHT_SWATH/ L2HSLHT

	PARAMETER( NANGLE=49, NRANGE=80 )

	INTEGER status, numOfScan
	INTEGER iscan, iangle, irange
	CHARACTER*255 jobname, file

    REAL*8 lat(NANGLE), lon(NANGLE)
    REAL*4 latentHeating(NRANGE,NANGLE)

	INTEGER*2 year, msec, dayOfYear
	BYTE month, dayOfMon, hour, min, sec
	REAL*8 secOfDay


	call getarg( 1, jobname )
	call getarg( 2, file )

! 	Open the file for reading.
	status = TKopen( file, '2HSLHT', TKREAD, 'HDF5', jobname, granuleHandleL2HSLHT, 0 )
	IF ( status .NE. TK_SUCCESS ) THEN 
		status = TKmessage( granuleHandleL2HSLHT.jobname, TKERROR,'message to print' )
	ENDIF

	status = TKgetMetaInt( granuleHandleL2HSLHT, 'SwathHeader', 'NumberScansGranule', numOfScan )

	do iscan=1,numOfScan
		status = TKreadScan( granuleHandleL2HSLHT, L2HSLHT )

		! ScanTime Read
		year      = L2HSLHT.ScanTime.Year
		month     = L2HSLHT.ScanTime.Month
		dayOfMon  = L2HSLHT.ScanTime.DayOfMonth
		hour      = L2HSLHT.ScanTime.Hour
		min       = L2HSLHT.ScanTime.Minute

		do iangle=1,NANGLE

            ! Latitude and Longitude Read
            lat(iangle)  = L2HSLHT.Latitude(iangle)
            lon(iangle)  = L2HSLHT.Longitude(iangle)

            ! latentHeating Read
			do irange=1,NRANGE
                latentHeating(irange, iangle) = L2HSLHT.latentHeating(irange, iangle)
            enddo

            ! print the value
            IF(iscan .eq. 2049 .and. iangle .eq. 21 ) THEN
                write(*,*) "scan=",iscan-1,",angle=",iangle-1
                write(*,*) "lat=", lat(iangle), "lon=", lon(iangle)
                write(*,*) "latentHeating=",latentHeating(41,iangle), "(K/hr)" 
            ENDIF
        enddo
    enddo

	status = TKclose( granuleHandleL2HSLHT )
	STOP
END
	
