PROGRAM SAMPLE

#include "TKHEADERS.h"
#include "TK_3HSLHT.h"
#include "tkiofortdeclare.h"

RECORD /TKINFO/ granuleHandle3HSLHT
RECORD /L3HSLHT_GRID/ L3HSLHT

    PARAMETER( N_LAT=268, N_LON=720, N_LAY=80 )

	INTEGER status
	INTEGER st, rt, chn, lnL, ltL 
	CHARACTER*255 jobname, file

    REAL*4 LHCndMean(N_LAT,N_LON,N_LAY)
    REAL*4 lat, lon

	call getarg( 1, jobname )
	call getarg( 2, file )

! 	Open the file for reading.
	status = TKopen( file, '3HSLHT', TKREAD, 'HDF5', jobname, granuleHandle3HSLHT, 0 )
	IF ( status .NE. TK_SUCCESS ) THEN 
		status = TKmessage( granuleHandle3HSLHT.jobname, TKERROR,'message to print' )
	ENDIF

!   Grid data read
	status = TKreadGrid( granuleHandle3HSLHT, L3HSLHT )

    do ltL=1, N_LAT
        do lnL=1, N_LON
            do lay=1, N_LAY
                ! LHCndMean Read
                LHCndMean(ltL, lnL, lay) = L3HSLHT.LHCndMean(ltL, lnL, lay)

                ! print the value
                IF(lnL .eq. 626 .and. ltL .eq. 76 .and. lay .eq. 41 ) THEN
                    lat = (134.0/268.0) * (ltL-1) - 67.0 + (134.0/268.0/2)
                    lon = (360.0/720.0) * (lnL-1) - 180.0 + (360.0/720.0/2)
                    write(*,*) "lat=",lat,"lon=",lon
                    write(*,*) "lay=41 lnL=626 ltL=76 LHCndMean=",LHCndMean(ltL, lnL, lay), "(K/hr)" 
                ENDIF
            enddo
        enddo
    enddo
    
!   HDF file close
	status = TKclose( granuleHandle3HSLHT )
	STOP
END
	
